
Redmine - Defect #12823

Wiki does not save any changes

2013-01-12 16:49 - player nnov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.1.2

Description

hello,

few days ago, i upgraded my redmine instance and now i cant edit any wiki page inside of my project. When I make changes and

save them, the page does not display any changes

when i press "show draft", then i can view my changes

whem i create a new wiki-page - first changes sucess. saved, but then but then the situation will repeat

in web-server (nginx) all errors logs are clean, in redmine production.log at debug mode i dont see any errors too.

Related issues:

Is duplicate of Redmine - Defect #12446: In the wiki does not apply changes Closed

Has duplicate Redmine - Defect #12870: updating wiki page does not work Closed

History

#1 - 2013-01-12 17:05 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

Show draft functionality is not part of Redmine core, this is very likely to be a plugin issue, please contact its author or post in Plugins.

#2 - 2013-01-12 17:46 - player nnov

stock wiki are not part of redmine ? my redmine doesnt have any 3party plugins

#3 - 2013-01-12 17:52 - Daniel Felix

I think you meaned the regular "preview" link at the bottom, or?

#4 - 2013-01-12 18:17 - player nnov

- File preview.png added

attached the file (russian translate on the screen)

#5 - 2013-01-12 19:25 - Etienne Massip

- Status changed from Closed to New

What version were you migrating from?

Did you migrate the database?

Did you have any plugins installed on previous version?

#6 - 2013-01-12 19:26 - Etienne Massip

- Resolution deleted (Invalid)

#7 - 2013-01-12 19:45 - player nnov

i cant find previos version of redmine (but i have all of old files)

yes, i migrate DB according to the documentation, the migration is successful

no, i dont have any plugins, its stock version of redmine without hacks or plugins

2025-07-13 1/2

https://www.redmine.org/projects/redmine/boards/3


ps. db is mysql 5.0* before and after upgrade

#8 - 2013-01-12 19:53 - Alex Shulgin

Hi,

I've experienced this issue on 2.1 branch when manually updating use rails to 3.2.9.  The 2.2 branch doesn't suffer from this issue.

--

Alex

#9 - 2013-01-12 20:42 - player nnov

you mean that i must update to 2.2 branch ?

#10 - 2013-01-12 21:31 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Alex Shulgin wrote:

I've experienced this issue on 2.1 branch when manually updating use rails to 3.2.9.  The 2.2 branch doesn't suffer from this issue.

 The current 2.1-stable branch works with Rails 3.2.11 too. Please upgrade to 2.1.6 if you want to use the latest Rails version.

#11 - 2013-01-12 22:25 - Jean-Philippe Lang

Same as #12446.

#12 - 2013-01-13 13:39 - player nnov

im upgrade my redmine to 2.1.6.stable.11181 and problem resolved - now i can change wiki pages, thank you!

#13 - 2013-07-16 19:53 - Paulo Neves

I also had this problem after manually changing the Gemfile to use an invulnerable version of Rails. This will force me to migrate to a more recent

version of Redmine. Not good :(

Even so i love the community. So arcane problem and there is an Issue report that solves the problem.
